org.apache.solr.handler.loader

## Class JavabinLoader

- java.lang.Object
- - org.apache.solr.handler.loader.ContentStreamLoader
  - - org.apache.solr.handler.loader.JavabinLoader

-     public class JavabinLoader
      extends ContentStreamLoader

  Update handler which uses the JavaBin format
  See Also:
    `JavaBinUpdateRequestCodec`, `JavaBinCodec`

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.handler.loader.ContentStreamLoader

      `pollQueueTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavabinLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `load(SolrQueryRequest req, SolrQueryResponse rsp, ContentStream stream, UpdateRequestProcessor processor)` Loaders are responsible for closing the stream

    - ### Methods inherited from class org.apache.solr.handler.loader.ContentStreamLoader

      `getDefaultWT, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavabinLoader

          public JavabinLoader()

  - ### Method Detail

    - #### load

          public void load(SolrQueryRequest req,
                           SolrQueryResponse rsp,
                           ContentStream stream,
                           UpdateRequestProcessor processor)
                    throws Exception

      Description copied from class: `ContentStreamLoader`
      Loaders are responsible for closing the stream
      Specified by:
        `load` in class `ContentStreamLoader`
      Parameters:
        `req` - The input `SolrQueryRequest`
        `rsp` - The response, in case the Loader wishes to add anything
        `stream` - The `ContentStream` to add
        `processor` - The `UpdateRequestProcessor` to use
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.